
package com.tmerclub.cloud.user.constant;

/**
 * 推送频次 0.永久一次 1.每次进入 2.自定义频次
 * @author TRACK
 */
public enum PushFrequencyEnum {

    /**
     * 永久一次 -- 只给用户推送一次
     */
    ONCE(0),

    /**
     * 每次进入 -- 用户每次到达触发页面都会推送
     */
    EVERY_TIME(1),

    /**
     * 自定义频次 -- 可按天、周来定期推送一次
     */
    CUSTOM(2);

    private final Integer value;

    public Integer value() {
        return value;
    }

    PushFrequencyEnum(Integer value) {
        this.value = value;
    }

}
